sdram(1)

NAME
sdram - Atheros SDRAM Configuration File Generator

SYNOPSIS
sdram

DESCRIPTION
The Atheros SDRAM Configuration File Generator creates two INT6300 SDRAM configuration files in the current working folder. Either of them may be used as the argument for the int6kf -C option when initializing INT6300 devices. Read the int6kf man page for more information.

This program is part of the Qualcomm Atheros Powerline Toolkit. See the AMP man page for an overview and installation instructions.

BACKGROUND
Configuration files for the Linux Toolkit have .cfg extensions and consist of 32 binary bytes plus a 32 bit checksum. They are difficult to modify but easy to verify. The format requires no conversion on input or output and, consequently, it is preferred to that used by the Windows Device Manager.

Configuration files for the Windows Device Manager have .config extensions and consist of 64 hexadecimal ASCII characters. They are easily modified using a text editor but cannot be easily validated. They require ASCII to binary conversion on input and binary to ASCII conversion on output. Read the config2cfg man page for more information.

OPTIONS

There are no options.

EXAMPLES
The following example writes two files, sdram16mb.cfg and sdram64.cfg, in the current working folder. They will replace any existing files having the same names.

    # sdram
    writing sdram16mb.cfg
    writing sdram64mb.cfg

DISCLAIMER
The SDRAM file structure and content is proprietary to Qualcomm Atheros, Ocala FL USA. Consequently, public information is not available. Qualcomm Atheros reserves the right to change the file structure or content in future firmware releases without any obligation to notify or compensate users of this program.

SEE ALSO
config2cfg(1), int6kf(1)

CREDITS
 Charles Maier